import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class DeviceNameWidget extends StatelessWidget {
  final String? name;

  const DeviceNameWidget({
    super.key,
    required this.name,
  });

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: 35,
      child: Text(
        name ?? '',
        style: Theme.of(context)
            .textTheme
            .bodySmall
            ?.copyWith(color: ColorsManager.blackColor),
        textAlign: TextAlign.center,
        maxLines: 2,
        overflow: TextOverflow.ellipsis,
      ),
    );
  }
}
